(command ... pause ... ) lisp problem
I am having trouble with using the "pause" option in (command ... ) in bricscad v10. I guess "pause" is not supported in bcad.
When it's at the end of a command I substitute (while (= (getvar "CMDNAMES") "XXX" ) which works very well.
But in the middle of a command (as below) I don't know how to fix it, any help would be welcome.
This is a simple example of what I mean:
(defun c:c3 () (command "circle" "3p" "tan" pause "tan" pause "tan" pause))
Comments
-
Yaakov, your example works fine for me with v10.1.10 using three lines to test. What is it not doing for you? I run C3 and am prompted to snap to tangent for three picks and a circle is drawn.
Perhaps the issue is a variable setting. For example, if CMDECHO is off you will not see a prompt on the command line.
0 -
Dang! you're right. Thanks.
I had an error in the lisp file that prevented it loading completely.
Nevertheless, I've had other problems with "pause".
I'll get back to you
0